Subject: Re: [PATCH v2 2/2] cgroup: get rid of populate for memcg

From: KAMEZAWA Hiroyuki <[email-masked]>
Date: Tue, 10 Apr 2012 10:37:23 +0900

(2012/04/10 2:51), Glauber Costa wrote:

> On 04/09/2012 02:40 PM, Tejun Heo wrote:
>> which BTW seems incorrect even on its
>> own - unmounting and mounting again would probably make the same
>> notifier registered multiple times corrupting notification chain, and
>> ref inc on the parent.
> 
> 
> For the maintainers: Should I fix those in a new submission, or do you 
> intend to do it yourselves?
> 
> the refcnt dropping should probably be done in my patch, it is a new 
> leak (sorry). The hotplug notifier, as tejun pointed, was already there.
> 
> It seems simple enough to fix, so if you guys want, I can bundle it in
> a new submission.
> 

Please make notifier fix patch against mm tree, as an independent one.

Thanks,
-Kame